summaryrefslogtreecommitdiff
path: root/dbus
diff options
context:
space:
mode:
authorPhil Blundell <philb@gnu.org>2004-06-07 14:12:22 +0000
committerPhil Blundell <philb@gnu.org>2004-06-07 14:12:22 +0000
commit1fe38e475fba5e3f5824c06a2370ed658b980315 (patch)
tree2193554a243ea083303d0bf404d213e2e99b4c62 /dbus
parent461c0dc44e929fa239e111d3ad1aa8d07ac807a4 (diff)
Merge bk://openembedded@openembedded.bkbits.net/packages
into gandalf.tm.informatik.uni-frankfurt.de:/home/pb_/packages 2004/06/07 16:12:17+02:00 uni-frankfurt.de!pb_ improve D-BUS packaging BKrev: 40c477c6eq9SpfV_KwvidIuCK4gn2A
Diffstat (limited to 'dbus')
-rw-r--r--dbus/dbus/dbus-1.init0
-rw-r--r--dbus/dbus_0.21.oe33
2 files changed, 31 insertions, 2 deletions
diff --git a/dbus/dbus/dbus-1.init b/dbus/dbus/dbus-1.init
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/dbus/dbus/dbus-1.init
diff --git a/dbus/dbus_0.21.oe b/dbus/dbus_0.21.oe
index afdc3dcd42..99d999db11 100644
--- a/dbus/dbus_0.21.oe
+++ b/dbus/dbus_0.21.oe
@@ -1,11 +1,30 @@
+PR = "r1"
HOMEPAGE = "http://www.freedesktop.org/Software/dbus"
DESCRIPTION = "message bus system for applications to talk to one another"
DEPENDS = "expat glib-2.0"
SRC_URI = "http://freedesktop.org/Software/dbus/releases/dbus-${PV}.tar.gz \
- file://cross.patch;patch=1"
+ file://cross.patch;patch=1 \
+ file://dbus-1.init"
-inherit autotools pkgconfig
+inherit autotools pkgconfig update-rc.d
+
+INITSCRIPT_NAME = "dbus-1"
+INITSCRIPT_PARAMS = "defaults"
+
+CONFFILES_${PN} = "${sysconfdir}/dbus-1/system.conf ${sysconfdir}/dbus-1/session.conf"
+
+FILES_${PN}-dev += " ${libdir}/dbus-1.0/include"
+
+pkg_postinst_dbus() {
+#!/bin/sh
+MESSAGEUSER=messagebus
+MESSAGEHOME=/var/run/dbus
+
+mkdir -p $MESSAGEHOME || true
+chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
+chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
+}
EXTRA_OECONF = "--disable-qt --disable-gtk --disable-tests \
--disable-checks --disable-xml-docs --disable-doxygen-docs \
@@ -27,3 +46,13 @@ do_stage () {
mkdir -p ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
install -m 0644 dbus/dbus-arch-deps.h ${STAGING_LIBDIR}/dbus-1.0/include/dbus/
}
+
+do_install_append () {
+ install -d ${D}${sysconfdir}/init.d
+ install -m 0755 ${WORKDIR}/dbus-1.init ${D}${sysconfdir}/init.d/
+}
+
+python populate_packages_prepend () {
+ if (oe.data.getVar('DEBIAN_NAMES', d, 1)):
+ oe.data.setVar('PKG_dbus', 'dbus-1', d)
+}